Subject: Re: bug#49996: egrep and fgrep?

From: [email-masked]
Date: Sun, 15 Aug 2021 08:25:51 -0600

Jim Meyering <[email-masked]> wrote:

> IMHO, they must be removed.
> Anyone who requires to be able to use "egrep" or "fgrep" from the
> command line can use a function or alias. Given their lack of
> standardization, those should not be used in scripts.

I beg to differ.  Scripts is one thing.  But breaking 40+ years
of interactive usage merely because POSIX doesn't standardize fgrep
and egrep (anymore!) is doing thousands of users a disservice.

As software suppliers, we need to take into account the bigger picture
of day-to-day usage, and not only what POSIX standardizes and doesn't
standardize.

And I'm willing to bet that the majority of grep/egrep/fgrep invocations
come from the command line rather than from scripts.

Arnold